For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList conversations
      • POSTCreate conversation
      • GETGet conversation
      • PUTUpdate conversation
      • DELDelete conversation
      • GETList messages
      • POSTCreate message
Dashboard
LogoLogo
Runtype APIMessaging Conversations

Delete conversation

DELETE
/v1/messaging/conversations/:id
DELETE
/v1/messaging/conversations/:id
$curl -X DELETE https://api.runtype.com/v1/messaging/conversations/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true
3}
Delete a messaging conversation by ID.
Was this page helpful?
Previous

List messages

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Conversation deleted
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error